import {Component} from "react";
import connect from "react-redux/es/connect/connect";
import {userLogin, userLogout} from 'react-admin';
import {bindActionCreators} from "redux";
import {push} from "react-router-redux";
import PermissionService from "../services/PermissionService";

class AuthJump  extends Component {
    render() {
        if(typeof this.props.logOut !== undefined && this.props.logOut === true && this.props.isAdminConnectAuthenticated != null) {
            this.props.adminConnectLogOut(()=>{});
            this.props.actions.userLogout(this.props);
            window.location='#/login';
            return (true);
        }

        if(this.props.AdminConnectSession !== null && typeof this.props.logOut !== undefined) {
            this.props.actions.userLogin(this.props);
            let permissions = new PermissionService();
            permissions.list().then((permissions) => {
                localStorage.setItem('permissions',JSON.stringify(permissions));
            })
        }

        return (true);
    }
}

function mapStateToProps(state, props) {
    return {adminConnectLogOut : props.adminConnectLogOut};
}

function mapDispatchToProps(dispatch) {
    let actions = Object.assign({}, {userLogin}, {userLogout}, {push});
    return {
        actions: bindActionCreators(actions, dispatch)
    };
}

export default connect(mapStateToProps, mapDispatchToProps)(AuthJump);

