import { AUTH_LOGIN, AUTH_LOGOUT, AUTH_ERROR, AUTH_CHECK } from 'react-admin';

export default (type, params) => {

    if (type === AUTH_LOGIN) {
        console.log(AUTH_LOGIN);
        localStorage.setItem('adminConnect', JSON.stringify(params));
        return Promise.resolve();
    }

    if (type === AUTH_LOGOUT) {
        localStorage.removeItem('adminConnect');
        localStorage.removeItem('permissions');
        return Promise.resolve();
    }

    if (type === AUTH_ERROR) {
        const status  = params.status;
        if (status === 401 || status === 403) {
            localStorage.removeItem('adminConnect');
            return Promise.reject();
        }
        return Promise.resolve();
    }

    if (type === AUTH_CHECK) {
        const { resource } = params;
        if (resource === 'promotions') {
            // check credentials for the promotions resource
        }
        if (resource === 'mps') {
            // check credentials for the mps resource
        }
        console.log("Check");
        return localStorage.getItem('adminConnect') ? Promise.resolve() : Promise.reject();
    }

    return Promise.reject('Unknown method');
}