import {adminConnect} from '../../../config/AdminConnect';
import Service from './Service';
import permissionList from '../../../config/PermissionList';

class PermissionService extends Service {

    constructor() {
        super();
        this.baseUrl = adminConnect.baseUrl + adminConnect.permissionsUrl;
    }

    list() {
        let options = {};
        options.headers = new Headers({
            'Accept':                      'application/json',
            'Access-Control-Allow-Origin': '*',
            'Ubi-AppId':                   this.adminConnect.AdminConnectSession.ApplicationId,
            'Ubi-SessionId':               this.adminConnect.AdminConnectSession.sessionId,
            'Authorization':               'ubi_v1 t=' + this.adminConnect.AdminConnectSession.ticket,
        });

        options.method = 'GET';
        return this.httpClient(this.baseUrl, options).then(response => {
            return this.buildPermissions(response.json.globalPermissions);
        }).catch(error => {
            console.log(error);
        })
    }

    buildPermissions(adminConnectPermissions) {
        let permissions = [];
        adminConnectPermissions.forEach(function (value) {
            if (typeof permissionList[value] !== 'undefined') {
                permissions.push(permissionList[value]);
            }
        });

        return permissions;
    }
}

export default PermissionService;